Bug 1429180 - Containers templates choose - unexpected error
Summary: Containers templates choose - unexpected error
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.0
Assignee: Martin Povolny
QA Contact: Gilad Shefer
URL:
Whiteboard: ui
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-05 11:42 UTC by Gilad Shefer
Modified: 2018-04-09 13:02 UTC (History)
10 users (show)

Fixed In Version: 5.8.0.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-31 14:38:37 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)
Unexpected error encountered (103.14 KB, image/png)
2017-03-05 11:42 UTC, Gilad Shefer
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Description Gilad Shefer 2017-03-05 11:42:34 UTC
Created attachment 1260054 [details]
Unexpected error encountered

Description of problem:
Cannot navigate to containers template summary page

Version-Release number of selected component (if applicable):
5.8.3

How reproducible:
100%

Steps to Reproduce:
1. GoTo Compute -> Containers -> Container Templates
2. Choose random template
3.

Actual results:
Unexpected error encountered

Expected results:
Navigate to the template summary page

Additional info:

Comment 2 Federico Simoncelli 2017-03-07 13:47:46 UTC
It seems that this issue reproduces on multiple pages (wherever additional_table_class is used).

Gilad/Einat please do not open multiple bugs if you see this exact same error in pther pages.

Currently there's an open issue upstream:

https://github.com/ManageIQ/manageiq-ui-classic/issues/604

And it seems that it was introduced by the core UI team in a refactoring here:

https://github.com/ManageIQ/manageiq-ui-classic/pull/274

Comment 3 Federico Simoncelli 2017-03-21 22:55:17 UTC
It seems that this was fixed by Martin in:

https://github.com/ManageIQ/manageiq-ui-classic/pull/274

(Since it's already merged this probably needs to be at least on POST).

Comment 5 errata-xmlrpc 2017-05-31 14:38:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.